Bug 500095 - setfacl fails to correctly resolve relative symlinks to directories
setfacl fails to correctly resolve relative symlinks to directories
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: acl (Show other bugs)
5.3
x86_64 Linux
low Severity medium
: rc
: ---
Assigned To: Jiri Moskovcak
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-10 21:02 EDT by Travers Carter
Modified: 2015-02-01 17:48 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 03:30:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Travers Carter 2009-05-10 21:02:37 EDT
Description of problem:
setfacl fails to resolve relative symlinks to directories on the command line unless specified with a trailing slash or $PWD is the directory containing the relative symlink.  The behaviour appears both with and without the -P or -L options

Version-Release number of selected component (if applicable):
acl-2.2.39-3.el5

How reproducible:
Always

Steps to Reproduce:
1. mkdir -p /tmp/test/test2
2. mkdir /tmp/test/target-dir
3. cd /tmp/test/test2
4. ln -s ../target-dir ./relative-symlink
5. cd ..
6. setfacl -b test2/relative-symlink
  
Actual results:
setfacl: test2/relative-symlink: No such file or directory

Expected results:
No output, extended acls are removed (-b)

Additional info:
Specifying a slash after the relative symlink, eg "test2/relative-symlink/" OR changing into the directory containing the symlink works around the problem.
Also the problem doesn't seem to affect symlinks targeting files as opposed to directories.
Comment 1 Travers Carter 2009-05-10 21:17:01 EDT
On further checking it appears that the problem does also apply to symlinks targeting files (as well as directories)
Comment 7 errata-xmlrpc 2009-12-09 03:30:39 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1652.html

Note You need to log in before you can comment on or make changes to this bug.